import { Component, OnInit, Input, OnDestroy } from '@angular/core';
import { Title } from '@angular/platform-browser';

import { ISubscription } from 'rxjs/Subscription';

import { LocaleService, TranslationService } from 'angular-l10n';

@Component({
  selector: 'of-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {

  countryMenuItems: any[] = [
    { text: 'United States', language: 'en', country: 'US', currency: 'USD', numberingSystem: 'latn' },
    { text: 'Korea', language: 'kr', country: 'KR', currency: 'KRW', numberingSystem: 'latn' }
];

  @Input() sidenav;
  @Input() sidebar;
  @Input() drawer;
  @Input() matDrawerShow;

  searchOpen = false;


  constructor(public locale: LocaleService, public translation: TranslationService, public title: Title) { }

  ngOnInit() {
  }


}
